package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AlertLogOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2025-06-03T17:52:43.984874600+08:00[Asia/Shanghai]")

public class AlertLogOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("key")
  private String key;

  @JsonProperty("module")
  private String module;

  @JsonProperty("content")
  private String content;

  @JsonProperty("time")
  private Long time;

  @JsonProperty("level")
  private String level;

  public AlertLogOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Log ID.
   * @return id
  */
  @ApiModelProperty(value = "Log ID.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public AlertLogOpenApiVo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * Log key.
   * @return key
  */
  @ApiModelProperty(value = "Log key.")


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public AlertLogOpenApiVo module(String module) {
    this.module = module;
    return this;
  }

  /**
   * Log module.
   * @return module
  */
  @ApiModelProperty(value = "Log module.")


  public String getModule() {
    return module;
  }

  public void setModule(String module) {
    this.module = module;
  }

  public AlertLogOpenApiVo content(String content) {
    this.content = content;
    return this;
  }

  /**
   * Log content.
   * @return content
  */
  @ApiModelProperty(value = "Log content.")


  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public AlertLogOpenApiVo time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Log time.
   * @return time
  */
  @ApiModelProperty(value = "Log time.")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public AlertLogOpenApiVo level(String level) {
    this.level = level;
    return this;
  }

  /**
   * Alert log level.
   * @return level
  */
  @ApiModelProperty(value = "Alert log level.")


  public String getLevel() {
    return level;
  }

  public void setLevel(String level) {
    this.level = level;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AlertLogOpenApiVo alertLogOpenApiVo = (AlertLogOpenApiVo) o;
    return Objects.equals(this.id, alertLogOpenApiVo.id) &&
        Objects.equals(this.key, alertLogOpenApiVo.key) &&
        Objects.equals(this.module, alertLogOpenApiVo.module) &&
        Objects.equals(this.content, alertLogOpenApiVo.content) &&
        Objects.equals(this.time, alertLogOpenApiVo.time) &&
        Objects.equals(this.level, alertLogOpenApiVo.level);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, key, module, content, time, level);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AlertLogOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    module: ").append(toIndentedString(module)).append("\n");
    sb.append("    content: ").append(toIndentedString(content)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    level: ").append(toIndentedString(level)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

